# Maintainer: GiacoLenzo2109 <GiacoLenzo2109@gmail.com>
# Contributor: artoo <artoo@croco.org>
# Contributor: anex <assassin.anex[@]gmail.com>

_repo=croco-tools-livecd

pkgbase=croco-live
pkgname=('croco-live-base'
	#'croco-live-openrc'
	'croco-live-systemd'
	'croco-live-skel'
	'croco-live-portable-efi')
pkgver=20210410
pkgrel=1
pkgdesc='Croco-OS live session'
arch=('any')
url="https://gitlab.com/croco-os/tools/croco-tools-livecd"
license=('GPL')
makedepends=('git')
source=("git+$url.git")
sha256sums=('SKIP')

pkgver() {
	date +%Y%m%d
}

build() {
	cd ${srcdir}/${_repo} #-${pkgver}
	make PREFIX=/usr SYSCONFDIR=/etc
}

package_croco-live-base() {
	pkgdesc='Croco-OS live base scripts'
	depends=('croco-tools')
	conflicts=('croco-livecd-base')
	replaces=('croco-livecd-base')

	cd ${srcdir}/${_repo} #-${pkgver}
	make PREFIX=/usr SYSCONFDIR=/etc DESTDIR=${pkgdir} install_base
}

package_croco-live-openrc() {
	pkgdesc='Croco-OS live openrc init scripts'
	depends=('openrc' 'croco-live-base')
	conflicts=('croco-livecd-openrc')
# 	replaces=('croco-livecd-openrc')

	cd ${srcdir}/${_repo} #-${pkgver}
	make PREFIX=/usr SYSCONFDIR=/etc DESTDIR=${pkgdir} install_rc
}

package_croco-live-systemd() {
	pkgdesc='Croco-OS live systemd units'
	depends=('systemd' 'croco-live-base')
	conflicts=('croco-livecd-systemd')
# 	replaces=('croco-livecd-systemd')

	cd ${srcdir}/${_repo} #-${pkgver}
	make PREFIX=/usr SYSCONFDIR=/etc DESTDIR=${pkgdir} install_sd
}

package_croco-live-skel() {
	pkgdesc='Croco-OS live session autostart items'

	cd ${srcdir}/${_repo} #-${pkgver}
	make PREFIX=/usr SYSCONFDIR=/etc DESTDIR=${pkgdir} install_xdg
}


package_croco-live-portable-efi() {
	pkgdesc='Croco-OS live session portable efi settings'
    depends=('grub')

	cd ${srcdir}/${_repo} #-${pkgver}
	make PREFIX=/usr SYSCONFDIR=/etc DESTDIR=${pkgdir} install_portable_efi
}


